Cyberduck Mountain Duck CLI

#2660 closed defect (duplicate)

Hangs on Listing Directory

Reported by: dlfuller@… Owned by: dkocher
Priority: highest Milestone: 3.0.3
Component: ftp Version: 3.0.2
Severity: critical Keywords: listing directory
Cc: Architecture:
Platform:

Description

New 3.0.2 (4166) will hang at login but then hang at "Listing directory" on an ordinary FTP site (ftpmysite.verizon.net) with a small number of files. Other FTP clients have no problems with the same operation.

Change History (5)

comment:1 follow-up: Changed on Oct 17, 2008 at 8:06:13 PM by dkocher

  • Component changed from core to ftp

Probably an issue related to #2445. Can you post the transcript from the Log Drawer, please.

comment:2 in reply to: ↑ 1 Changed on Oct 17, 2008 at 9:50:17 PM by anonymous

Replying to dkocher:

Probably an issue related to #2445. Can you post the transcript from the Log Drawer, please.

Thanks for the response. The Log Drawer data upto when it "hangs"::

220 ftpmysite.verizon.net USER fuller_dl 331 Password required for fuller_dl. PASS * 230-User fuller_dl logged in. 230 Quota: avail(98.6%)=10338797.0 used(1.4%)=146963.0 limit=10485760.0 bytes PWD 257 "/" is current directory. NOOP 200 NOOP command successful SYST 215 UNIX Type: L8 STAT / 211-status of /:

drwxrwxrwx 3 1047 602 4096 Oct 17 14:32 . drwxrwxrwx 3 1047 602 4096 Oct 17 14:32 ..

comment:3 follow-up: Changed on Oct 18, 2008 at 12:43:17 PM by dkocher

  • Milestone set to 3.0.3
  • Resolution set to duplicate
  • Status changed from new to closed

Try the latest nightly build from http://update.cyberduck.ch/nightly.

comment:4 in reply to: ↑ 3 Changed on Oct 19, 2008 at 9:53:54 PM by anonymous

  • Resolution duplicate deleted
  • Status changed from closed to reopened

Replying to dkocher:

Try the latest nightly build from http://update.cyberduck.ch/nightly.

Problem remains after trying 3.0.3 (4202).

comment:5 Changed on Oct 20, 2008 at 8:21:39 AM by dkocher

  • Resolution set to duplicate
  • Status changed from reopened to closed

This is the same issue reported with STAT as in the reason #2445 has been reopened (also Verizon FTP server). In fact this is a server bug which does not finish the response. To detect this automatically is difficult; the only workaround currently is to disable the use of STAT using defaults write ch.sudo.cyberduck ftp.sendStatListCommand false.

Note: See TracTickets for help on using tickets.
swiss made software